imageio.hh File Reference
`#include <set>`
`#include <vector>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/core/callback.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/imageio.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DImageVector
| Vector of 2D images to load and store series of images to one file. More...
struct | IOHandler_of< C2DImage >

## Typedefs

typedef C2DImageIOPluginHandler::Instance::DataKey | C2DImageDataKey
typedef TIOPlugin< io_2dimage_type > | C2DImageIOPlugin
| Base type for 2D image IO plugins.
typedef THandlerSingleton< C2DImageIOPPH > | C2DImageIOPluginHandler
typedef C2DImageIOPluginHandler::Instance::PData | P2DImageVector

## Functions

P2DImageVector EXPORT_2D | create_image2d_vector (P2DImage image)
P2DImage EXPORT_2D | load_image2d (const std::string &filename)
template<>
P2DImage | load_image< P2DImage > (const std::string &filename)
C2DImageGroupedSeries EXPORT_2D | load_image_series (const std::vector< std::string > &filenames, CProgressCallback *cb=NULL)
bool EXPORT_2D | save_image (const std::string &filename, C2DImage &image)
bool EXPORT_2D | save_image (const std::string &filename, P2DImage image)

## Typedef Documentation

## C2DImageDataKey

typedef C2DImageIOPluginHandler::Instance::DataKey C2DImageDataKey

The type for virtual storage access for images

See also
  CDatapool

Definition at line 98 of file 2d/imageio.hh.

## C2DImageIOPlugin

typedef TIOPlugin<io_2dimage_type> C2DImageIOPlugin

Base type for 2D image IO plugins.

Definition at line 58 of file 2d/imageio.hh.

## P2DImageVector

typedef C2DImageIOPluginHandler::Instance::PData P2DImageVector

Data type of what is actually loaded by the image plugins handler

Definition at line 103 of file 2d/imageio.hh.

## Function Documentation

## create_image2d_vector()

P2DImageVector EXPORT_2D create_image2d_vector | ( | P2DImage | image | ) |

Convenience function to create a vector of images wrapping one image

Parameters

  image |

Returns
  the vector containing the image

Todo
  the interface that requires a vector to be passes may not be the best approach in ensures that we can also load all images from a multi-record image file type but other then that it is very inconvenient

References EXPORT_2D.